import 'yo/lib/fragment/yo-header.scss';
import 'riot';

<yo_header class="yo-header {title}">
    <h2 class="title">{title}</h2>
    <span class="regret yo-ico" onclick={close}>{left}</span>
    <span class="affirm yo-ico"></span>
    <script>
        var title = this.parent.title;
        var left = '\uf07d';
        if (title == 'webVC') {
            left = '\uf077';
        }
        this.title = title;
        this.left = left;
        this.close = function() {
            var app = window.__APP__;
            var currTag = app.tags['qapp'].filter((t)=>t.title===this.title);
            currTag.forEach((t)=>t.trigger('close'));
        };

        // 如果是hy-none，因为hy-none没有关闭按钮，所以设定为点击title就可以关闭。
        if (this.title == "hy-none") {
            this.root.setAttribute("onclick", "{close}");
        }
    </script>
    <style scoped>
        :scope {
            display: block;
            border-top-left-radius: 3px;
            border-top-right-radius: 3px;
        }

        :scope .title{
            font-weight: normal;
        }
        :scope.hy-transparent{
            border-color: transparent;
            background-color: transparent;
            color: #212121;
        }
        :scope.hy-transparent > .regret::before {
            content: '';
            width: .25rem;
            height: .25rem;
            position: absolute;
            border: 1px solid #7cd;
            background-color: rgba(27,169,186,.4);
            border-radius: 50%;
            top: .09rem;
            left: .13rem;
        }
        :scope.hy-none{
            border-color: transparent;
            background-color: transparent;
            color: #212121;
        }
        :scope.hy-none > .regret {
            display: none;
        }
        :scope.hy-none > .affirm {
            display: none;
        }
    </style>
</yo_header>
